@import "CssWorkgroup";

#statistics {
    [data-grid] > * {
        margin-bottom: $grid-gap;
    }

    .stats-tile {
        position: relative;
        width: 100%;
        padding: $grid-gap;

        background: $color-white;
    }
}

.stats-teams,
.stats-gametype {
    margin-bottom: $grid-gap * 3;

    .container {
        height: 100%;
        @include _containerHelper("medium");
    }
}

.stats-totals {
    margin-bottom: $grid-gap * 2;

    .container {
        @include _containerHelper("normal");
    }

    @include _respond-to('phones') {

        .container {
          @include _display-flex(flex, flex-start, flex-start, row, wrap);

          > article {
            flex: 0 0 calc(50% - #{$grid-gap/2});
            margin-right: $grid-gap;

            &:nth-child(2n) {
              margin-right: 0;
            }
          }
        }
    }
}

.stats-charts {
  margin-bottom: $grid-gap * 2;

  .container {
    @include _containerHelper("normal");
  }
}

.stats-tile {
    background: $color-white;

    h1 {
        @include _font-size($font-size-4);
    }

    .chart {
        position: relative;
        width: 100%;
        height: 280px;
        @include _display-flex(flex, center, center);
    }
}

.stats-legend {
    @include _reset-lists();
    @include _display-flex(flex, center, flex-start);
    @include _list-child-margin(10px, "li", "right");

    i {
        width: 6px;
        height: 6px;
        border-radius: 50%;
        display: inline-block;
        margin-right: 5px;
    }
}
